package org.rzo.yacron4j.example;

import java.util.Date;

import org.rzo.yacron4j.Scheduler;
import org.rzo.yacron4j.SchedulerOptions;
import org.rzo.yacron4j.TaskOptions;
import org.rzo.yacron4j.persist.prevayler.PrevaylerPersistentManager;

public class Persistance
{
	public static void main(String[] args) throws Exception
	{
		SchedulerOptions schedulerOptions = new SchedulerOptions();
		schedulerOptions.setPersistManager(new PrevaylerPersistentManager("data"));
		Scheduler scheduler = new Scheduler(schedulerOptions);
		String cronExpression = "0/1 * * * * ?";
		Runnable task = new Runnable()
		{
			public void run()
			{
				System.out.println("" + new Date() + " hello world! ");
			}
		};
		TaskOptions taskOptions = new TaskOptions();
		taskOptions.setPersist(true);
		scheduler.schedule("testid", task, cronExpression, taskOptions);
	}

}
